# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mandolin"
version = "0.4.0-alpha.4"
authors = ["lzpel"]
build = "build.rs"
exclude = [
    ".github/*",
    "frontend/*",
    "openapi/*",
    "media/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Input openapi.json/yaml, output server source code in rust."
homepage = "https://lzpel.github.io/mandolin/"
readme = "README.md"
keywords = [
    "openapi",
    "generator",
    "axum",
    "server",
]
categories = [
    "web-programming::http-server",
    "template-engine",
    "api-bindings",
]
license = "MIT"
repository = "https://github.com/lzpel/mandolin"

[lib]
name = "mandolin"
path = "src/lib.rs"

[[bin]]
name = "mandolin"
path = "src/main.rs"

[[example]]
name = "openapi"
path = "examples/openapi.rs"

[[example]]
name = "openapi_httpservice"
path = "examples/openapi_httpservice.rs"

[[example]]
name = "openapi_httpservice_with_auth"
path = "examples/openapi_httpservice_with_auth.rs"

[[example]]
name = "openapi_lambda360"
path = "examples/openapi_lambda360.rs"

[[example]]
name = "openapi_nesting"
path = "examples/openapi_nesting.rs"

[[example]]
name = "openapi_petstore"
path = "examples/openapi_petstore.rs"

[[example]]
name = "openapi_plant"
path = "examples/openapi_plant.rs"

[[example]]
name = "openapi_sarod"
path = "examples/openapi_sarod.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.heck]
version = "0.5"

[dependencies.minijinja]
version = "2.15"
features = [
    "json",
    "preserve_order",
    "loop_controls",
]

[dependencies.openapiv3]
version = "2.2"

[dependencies.regex]
version = "1.12"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.9"

[dev-dependencies.axum]
version = "0.8"
features = ["multipart"]

[dev-dependencies.chrono]
version = "0.4"
features = ["serde"]

[dev-dependencies.tokio]
version = "1.49"
features = [
    "rt",
    "rt-multi-thread",
    "macros",
    "signal",
]

[dev-dependencies.uuid]
version = "1.20"
features = ["serde"]
